int taktPin = 8;        // SH_CP
int speicherPin = 9;    // ST_CP
int datenPin = 10;      // DS
long randomNr;          // Zufallszahl
int nrZaehler;          // Zählt die LED-Schritte
int rollErgebnis;       // Ergebnis der roll-Funktion
#define RANDOMMIN 20    // Zufallszahl Minimum
#define RANDOMMAX 100   // Zufallszahl Maximum (exkulsive)

int roll() {
  for(int j = 0; j < 8; j++) {
    nrZaehler++; // Zähler inkrementieren
    if(nrZaehler == randomNr) return 0; // Vorzeitige Beendigung
    digitalWrite(speicherPin, LOW);
    shiftOut(datenPin, taktPin, MSBFIRST, 1 << j);
    digitalWrite(speicherPin, HIGH);
    delay(30); // Kurze Pause
  }
  return 1; // Reguläre Beendigung
}

void setup() {
  Serial.begin(9600);           // Serielle Schnittstelle initialisieren
  pinMode(taktPin, OUTPUT);     // Als Ausgang
  pinMode(speicherPin, OUTPUT); // Als Ausgang
  pinMode(datenPin, OUTPUT);    // Als Ausgang
  randomSeed(analogRead(0));    // Init Random
  randomNr = random(RANDOMMIN, RANDOMMAX); // Zufallszahl generieren
  nrZaehler = 0;                // LED-Schritte zurücksetzen
  rollErgebnis = 1;             // roll ermöglichen
  Serial.println(randomNr);     // Zufallszahl in Serial-Monitor anzeigen
}

void loop() {
  if(rollErgebnis == 1)
    rollErgebnis = roll();
}

