#include <Wire.h>
#define DELAY    2000
byte I2CStartAddress = 0x01;   // I2C-Scanadresse Start
byte I2CEndAddress   = 0x64;   // I2C-Scanadresse Ende
byte I2CTranmissionResult = 0; // Return-Code

void setup() {
  Wire.begin();      // Init I2C
  Serial.begin(9600); // Init Serial
  Serial.println("Scan-Start:\n");
}

void loop() {  
  boolean I2CFound = false; // I2C-Devices found?
  for(int scanAddress = I2CStartAddress; 
    scanAddress <= I2CEndAddress; scanAddress++) {
      Wire.beginTransmission(scanAddress);
      I2CTranmissionResult = Wire.endTransmission();
    if(I2CTranmissionResult == 0) {
      I2CFound = true;
      String msg = "I2C-Address found at: 0x";
      if(scanAddress < 16)
        msg += "0";
      Serial.print(msg);      
      Serial.println(scanAddress, HEX);
    }    
  }
  if(!I2CFound)
    Serial.println("No I2C-Devices found!");
  Serial.println("------------------------------");
  delay(DELAY);
}

