#ifndef ARDUBOTMOTOR_H
#define ARDUBOTMOTOR_H

#include <Arduino.h>

// Bewegungsrichtungen + Pause
enum Motion {
  FORWARD = 1,
  BACKWARD,
  RIGHT,
  LEFT,
  PAUSE
};

// Drehwinkel in Form von Zeitangaben
// Diese Werte müssen sicher von dir angepasst werden
enum Turn {
  QUARTER  = 900, // Zeit für 1/4 Drehung
  HALF = 1800,    // Zeit für 1/2 Drehung
  STRAIGHT = 500, // Zeit für 1 Fahrzeuglänge
};

// Wahl des Motors
enum Motor {
  M1 = 1,
  M2
};

class ArduBotMotor{
  public: 
    ArduBotMotor(byte m1_P1, byte m1_P2, byte m2_P1, byte m2_P2,
                  byte m1_PWM, byte m2_PWM); // Konstruktor
    void move(Motion mV, int mD); // Steuere Motor an
    void pwm(Motor m, byte pwm);  // Setze PWM für Motor 
  private:
    byte motor1_Pin1, motor1_Pin2;
    byte motor2_Pin1, motor2_Pin2;
    byte motor1_PWM, motor2_PWM;
    byte moveValue;
    int moveDuration;
};
#endif
