#include "SPI.h"
#include "Adafruit_GFX.h"
#include "Adafruit_ILI9341.h"

#define TFT_DC 9 
#define TFT_CS 10

// RGB-Colors
#define WHITE   tft.color565(255, 255, 255) // ILI9341_WHITE
#define BLACK   tft.color565(  0,   0,   0) // ILI9341_BLACK
#define RED     tft.color565(255,   0,   0) // ILI9341_RED
#define GREEN   tft.color565(  0, 255,   0) // ILI9341_GREEN
#define BLUE    tft.color565(  0,   0, 255) // ILI9341_BLUE
#define YELLOW  tft.color565(255, 255,   0)
#define CYAN    tft.color565(  0, 255, 255)
#define MAGENTA tft.color565(255,   0, 255)

// Use hardware SPI (on Uno, #13, #12, #11) and the above for CS/DC
Adafruit_ILI9341 tft = Adafruit_ILI9341(TFT_CS, TFT_DC);

void setup() {
  tft.begin();                   // TFT initialisieren
  tft.fillScreen(ILI9341_BLACK); // Hintergrund löschen  
  // Linie zeichnen
  tft.drawLine(0, 0, 80, 70, RED);  
  // Kreis zeichnen  
  tft.drawCircle(100, 100, 50, GREEN); 
  // Gefüllten Kreis zeichnen  
  tft.fillCircle(150, 150, 50, BLUE);  
  // Rechteck zeichnen
  tft.drawRect(20, 130, 100, 30, CYAN); 
  // Rechteck zeichnen (abgerundete Ecken)
  tft.fillRoundRect(170, 40, 50, 80, 10, YELLOW); 
  // Text ausgeben, Startposition (x,y)
  tft.setCursor(0, 200); 
  // Farbe und Textgröße setzen
  tft.setTextColor(WHITE); tft.setTextSize(1); 
  // Text ausgeben
  tft.println("Hallo mein Arduino-Freund!!!");
  // Farbe und Textgröße setzen
  tft.setTextColor(MAGENTA); tft.setTextSize(2);
  // Text ausgeben
  tft.println("Nun etwas groesser.");
  tft.setTextColor(RED); tft.setTextSize(4);
  // Text ausgeben
  tft.println("ABC");
}

void loop() { /* leer */ }

