#include <TFT.h>  // Arduino LCD library

// Pin-Definition für Uno
#define CS      10 // ChipSelect
#define DC       9 // Command/Data Selection
#define RST      8 // Reset
#define PAUSE 1000 // Refreshzeit

TFT TFTscreen = TFT(CS, DC, RST); // TFT-Instanz erzeugen
char sensorPrintout[6][10];       // Anzuzeigender Text (2-Dim-Array)


void setup() {
TFTscreen.begin();                        // TFT-Initialisierung
  TFTscreen.background(0, 0, 0);            // Hintergrund löschen
  TFTscreen.stroke(255,255,255);            // Textfarbe setzen (weiß)
  TFTscreen.setTextSize(2);                 // Fontgröße setzen
  TFTscreen.text("Sensor-Werte:", 0, 0);    // Text ausgeben
  TFTscreen.setTextSize(1);                 // Fontgröße setzen
}

void loop() {
  int a0 = analogRead(A0); // Analoger Pin 0
  int a1 = analogRead(A1); // Analoger Pin 1
  int a2 = analogRead(A2); // Analoger Pin 2
  int a3 = analogRead(A3); // Analoger Pin 3
  int a4 = analogRead(A4); // Analoger Pin 4
  int a5 = analogRead(A5); // Analoger Pin 5
  // Argumente: Text, Wert, y-Pos, R, G, B
  drawValuebar ("A0:", a0, 30, 255,   0,   0);
  drawValuebar ("A1:", a1, 45,   0, 255,   0);
  drawValuebar ("A2:", a2, 60,   0,   0, 255);
  drawValuebar ("A3:", a3, 75, 255, 255,   0);
  drawValuebar ("A4:", a4, 90,   0, 255, 255);
  drawValuebar ("A5:", a5, 105, 255,  0, 255);
  delay(PAUSE); // Anzeigezeit
  clearValuebar ("A0:", a0, 30);
  clearValuebar ("A1:", a1, 45);  
  clearValuebar ("A2:", a2, 60);
  clearValuebar ("A3:", a3, 75);
  clearValuebar ("A4:", a4, 90);  
  clearValuebar ("A5:", a5, 105);
}

// Anzeige der Valuebar
void drawValuebar (String channel, int value, 
  int vertical, byte r, byte g, byte b) {
  char sensorPrintout[10];
  String(channel + " " + value).toCharArray(sensorPrintout, 10);
  TFTscreen.stroke(b, g, r); // Farbe setzen                  
  TFTscreen.text(sensorPrintout, 0, vertical);    
  TFTscreen.rect(50, vertical, map(value, 0, 1023, 0, 109), 10);
}

// Löschen der Valuebar
void clearValuebar(String channel, int value, 
      int vertical) {
  char sensorPrintout[10];
  String(channel + " " + value).toCharArray(sensorPrintout, 10);
  TFTscreen.stroke(0, 0, 0); // Farbe setzen                  
  TFTscreen.text(sensorPrintout, 0, vertical);    
  TFTscreen.rect(50, vertical, map(value, 0, 1023, 0, 109), 10);
}


