#!/usr/bin/env python
import pyfirmata
from Tkinter import *

arduinoboard = pyfirmata.Arduino('/dev/ttyACM0')

it = pyfirmata.util.Iterator(arduinoboard)
it.start()

pin3 = arduinoboard.get_pin('d:3:s') # Pin 3 als Servo

def cleanup():
    # Pin 3 deaktivieren
    pin3.write(0)
    arduinoboard.exit()

def moveServo(a):
    # Mit Pin 3 Servo ansteuern
    pin3.write(a)

# GUI
master = Tk()
master.wm_protocol("WM_DELETE_WINDOW", cleanup)
master.wm_title('Servo-Control')

# Schieberegler initialisieren
scale = Scale(master,
    from_ = 0,
    to = 179,
    command = moveServo,
    orient = HORIZONTAL,
    length = 400,
    label = 'Winkel')

scale.pack(anchor = CENTER) # Mittig platzieren
mainloop()                  # TK Event-Loop starten