#include <dht.h>
#define DHT11_PIN 5 // Sensor-Pin

dht myDHT; // Eine Instanz von DHT11 erzeugen

void setup() {
  Serial.begin(9600);
}

void loop() {
  // Daten lesen
  Serial.print("DHT11,");
  int result = myDHT.read11(DHT11_PIN);
  switch(result) {
    case DHTLIB_OK:  
		  Serial.print("OK,"); break;
    case DHTLIB_ERROR_CHECKSUM: 
		  Serial.print("Checksum error,"); break;
    case DHTLIB_ERROR_TIMEOUT: 
		  Serial.print("Time out error,"); break;
    case DHTLIB_ERROR_CONNECT:
      Serial.print("Connect error,"); break;
    case DHTLIB_ERROR_ACK_L:
      Serial.print("Ack Low error,"); break;
    case DHTLIB_ERROR_ACK_H:
      Serial.print("Ack High error,"); break;
    default: 
		  Serial.print("Unknown error,"); break;
  }
  // Daten versenden
  Serial.print(myDHT.humidity, 1);
  Serial.print(",");
  Serial.println(myDHT.temperature, 1);
  delay(5000); // Kurze Pause
}
